Kodi Community Forum

Full Version: XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu)
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Still getting the same error as well.

-Bahndit
Me too on this error.
Setting up xbmc-live (9.04.2+svn21124-jaunty1) ...
Installing new version of config file /etc/init.d/xbmc-live ...
dpkg: error processing xbmc-live (--configure):

...

then trying l.capriotti script

2009-06-24 13:39:21 (12.0 MB/s) - `postint' saved [2738/2738]

[email protected]:~$ sudo mv postint /var/lib/dpkg/info/xbmc-live.postinst
[sudo] password for xbmc:
[email protected]:~$ chmod +x /var/lib/dpkg/info/xbmc-live.postinst
[email protected]:~$ sudo apt-get install xbmc-live
Reading package lists... Done
Building dependency tree
Reading state information... Done
xbmc-live is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up xbmc-live (9.04.2+svn21124-jaunty1) ...
[WARN 4177] polkit-action.c:211:polkit_action_set_action_id(): polkit_action_validate_id (action_id)
Not built with -rdynamic so unable to print a backtrace
polkit-auth: GeneralError: Given action does not have action_id set
dpkg: error processing xbmc-live (--configure):
subprocess post-installation script returned error exit status 1

...

WEiSLaND postscript worked for me
thx
just to be clear on this subject: I installed XBMCbuntu via the guide, in the meantime did a new kernel compiling for the nvidia beta driver, and switched from stable PPA to SVN PPA.
this xbmc-live error is going on my nerves, would I screw something up when i just apt-get purge this little bastard once and for all?

I already tried to purge and do a clean install directly afterwards from SVN PPA, error stays
I think everyone is getting this error when they try to apt-get install xbmc-live. We just need to know if someone is looking into the problem as it's really making it tough to get a clean install outside of 9.04.1
I am still receiving the xbmc-live error. Any update on this?
I commented out all the policykit stuff from the postinstall file and it went through fine.

(That part is what is causing the error so it might as well be commented out.)
OK! Based on what Jackie brown said I think I got the postinst working. Here's what I did:

wget http://trac.xbmc.org/export/21048/branch...ve/postint
sudo mv postint /var/lib/dpkg/info/xbmc-live.postinst
chmod +x /var/lib/dpkg/info/xbmc-live.postinst
sudo apt-get install xbmc-live


When it gives you the errors do this:

sudo nano /var/lib/dpkg/info/xbmc-live.postinst


Uncomment this line:

USER_IN_GROUP=`groups xbmc|grep sudo`
if [ "$USER_IN_GROUP" = "" ]; then
adduser xbmc sudo
fi

and then comment out all the polkit lines Jackie brown mentioned like this:

#
# AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable | grep org.freedesktop.hal.power-management.shutdown`
# if [ "$AUTH_EXISTS" = "" ]; then
# polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.shutdown
# polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.shutdown-multiple-sessions
# fi
# AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable | grep org.freedesktop.hal.power-management.reboot`
# if [ "$AUTH_EXISTS" = "" ]; then
# polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.reboot
# polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.reboot-multiple-sessions
# fi
# AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable | grep org.freedesktop.hal.power-management.set-powersave`
# if [ "$AUTH_EXISTS" = "" ]; then
# polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.set-powersave
# fi
# AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable | grep org.freedesktop.hal.power-management.suspend`
# if [ "$AUTH_EXISTS" = "" ]; then
# polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.suspend
# fi
# AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable | grep org.freedesktop.hal.power-management.hibernate`
# if [ "$AUTH_EXISTS" = "" ]; then
# polkit-auth --user xbmc --grant org.freedesktop.hal.power-management.hibernate
# fi
# AUTH_EXISTS=`polkit-auth --user xbmc --show-obtainable | grep org.freedesktop.hal.storage.mount-removable`
# if [ "$AUTH_EXISTS" = "" ]; then
# polkit-auth --user xbmc --grant org.freedesktop.hal.storage.mount-removable
# fi




save and exit nano. Then type this to install:

sudo dpkg --configure xbmc-live


Everything should install without errors.
Qroach Wrote:OK! Based on what Jackie brown said I think I got the postinst working. Here's what I did:

...
When it gives you the errors do this:
...

Everything should install without errors.

Ok, so what would be can be done to not receive the errors?
Thought I look at the postinst issue, after hearing much nagging Laugh

This should be fixed now. Try this.

Code:
wget -O postinst http://trac.xbmc.org/browser/branches/linuxport/XBMC/tools/XBMCLive/postinst?format=txt
sudo mv postinst /var/lib/dpkg/info/xbmc-live.postinst
chmod a+x /var/lib/dpkg/info/xbmc-live.postinst
sudo dpkg-reconfigure xbmc-live

If this doesn't work, I'll need to see an output of this command.

Code:
sudo sh -x /var/lib/dpkg/info/xbmc-live.postinst configure
first, I had to mv the downloaded file from postinst?format=txt to postinst

then, following your commands:

/usr/sbin/dpkg-reconfigure: xbmc-live is broken or not fully installed

and finally the output:

+ set -e
+ sed -i.bak-xbmc-live s/allowed_users=console/allowed_users=anybody/ /etc/X11/Xwrapper.config
+ getent passwd xbmc
+ getent group adm
+ grep xbmc
+ + grep xbmc
getent group cdrom
+ + grep xbmc
getent group floppy
+ + grep xbmc
getent group audio
+ + grep xbmc
getent group video
+ getent group plugdev+ grep xbmc

+ + grep xbmc
getent group netdev
+ adduser xbmc netdev
adduser: The group `netdev' does not exist.
I got the same error message
it seems to be that we are missing the groups "netdev" & and "powerdev". I'm not certain what should be installed to add these groups, but from what i understand if you add these two groups and then add "xbmc" as a user in those groups, the xbmc-live postinst will install without any problems.

I just tried it and that works!

So the real question is what needs to be installed to add these two groups correctly?
my best guess is that these two groups are remainders from the dev branch and shouldn't be called within the SVN PPA, simple as that
Glad to see some movement on this problem with xbmc-live. Keep up the good work gents!

-Bahndit